import 'package:json_annotation/json_annotation.dart';

part 'user.g.dart';

@JsonSerializable(explicitToJson: true)
class User {
  final String id;
  final String name;
  final String profilePic;
  final String status;
  final String email;
  final String password;

  User(this.id, this.name, this.profilePic, this.status, this.email,
      this.password);

  User.named({
    this.id,
    this.name,
    this.profilePic,
    this.status,
    this.email,
    this.password,
  });

  Map<String, dynamic> toJson() => _$UserToJson(this);

  factory User.fromJson(json) => _$UserFromJson(json);

  User copyWith(
      {String id,
      String name,
      String profilePic,
      String status,
      String email,
      String password}) {
    return User.named(
        id: id ?? this.id,
        name: name ?? this.name,
        profilePic: profilePic ?? this.profilePic,
        status: status ?? this.status,
        email: email ?? this.email,
        password: password ?? this.password);
  }
}
